uniform sampler2D texture;
uniform sampler2D texture2;
uniform mediump float texture_bind;

varying mediump vec2 v_texcoord;
varying lowp vec4 v_color;

void main(void)
{
	lowp float color_p  = 1.0 - texture_bind;
	lowp float modtex_p = 1.0 - color_p;
	lowp vec4 texColor = texture2D(texture, v_texcoord);
	lowp float alpha = texColor.w;
	lowp vec4 color = v_color * color_p + texColor * v_color * modtex_p;
	gl_FragColor = color * alpha + vec4(1.0, 1.0, 1.0, 1.0) * (1.0 - alpha);
}
